Bug 237905 - Infinite recursion in netlink (security issue)
Infinite recursion in netlink (security issue)
Status: CLOSED DUPLICATE of bug 237913
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Kernel Manager
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-25 19:02 EDT by James Morris
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-26 11:15:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Morris 2007-04-25 19:02:11 EDT
For details, see upstream thread:
http://marc.info/?t=117752881400003&r=1&w=2
(also includes patch)


RHEL4 and previous are not vulnerable, no fix is needed for
them because they completely lack this feature and this code.

Although initially reported on stable@kernel.org, the patch
and resulting discussion happened on netdev@vger.kernel.org
so this bug is fully public knowledge.
Comment 1 James Morris 2007-04-25 19:04:01 EDT
Fedora kernels may be affected (any kernel since Jun 20th, 2005).
Comment 3 Marcel Holtmann 2007-04-26 11:15:57 EDT

*** This bug has been marked as a duplicate of 237913 ***

Note You need to log in before you can comment on or make changes to this bug.